Advertisements

error while loading shared libraries: libnl.so.1

error while loading shared libraries: libnl.so.1

Check which package provides the library that you want.

On Red Hat Linux you can check running yum whatprovides. On my case, I need to install libnl to solve my problem

root@linux:~ # yum whatprovides */libnl.so.1
Loaded plugins: downloadonly, rhnplugin, security

libnl-1.0-0.10.pre5.4.i386 : Convenience library for kernel netlink sockets
Repo : internalrepository
Matched from:
Filename : /usr/lib/libnl.so.1

libnl-1.0-0.10.pre5.5.i386 : Convenience library for kernel netlink sockets
Repo : internalrepository
Matched from:
Filename : /usr/lib/libnl.so.1

libnl-1.0-0.10.pre5.5.x86_64 : Convenience library for kernel netlink sockets
Repo : internalrepository
Matched from:
Filename : /usr/lib64/libnl.so.1

libnl-1.0-0.10.pre5.4.x86_64 : Convenience library for kernel netlink sockets
Repo : internalrepository
Matched from:
Filename : /usr/lib64/libnl.so.1

Advertisements
%d bloggers like this: